## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Update Flow Settings

**PATCH**

/v2.0/flows/{flowId}/settings

#### Request: cURL

```bash
curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/settings \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data ' {
  "continueExecutionAfterAttachedFlow": true,
  "continueExecutionAterDefaultReply": true,
  "continueExecutionAfterNegativeConfirmation": true,
  "passDefaultRepliesIntoFlow": true,
  "useAttachedFlowThresholds": true,
  "useAttachedFlowContinueAfterDefaultReply": true,
  "useAttachedFlowPassDefaultRepliesIntoFlow": true,
  "useAttachedFlowImplicitSlotParsing": true,
  "lexiconSlotsWithSubMatches": true,
  "useIntentDefaultRepliesAsExamples": true,
  "localeSettings": {
    "localeReference": "<string>",
    "inheritFallbackLocaleModel": true
  }
}'
```

#### Request: Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/settings"

payload = {
    "continueExecutionAfterAttachedFlow": True,
    "continueExecutionAterDefaultReply": True,
    "continueExecutionAfterNegativeConfirmation": True,
    "passDefaultRepliesIntoFlow": True,
    "useAttachedFlowThresholds": True,
    "useAttachedFlowContinueAfterDefaultReply": True,
    "useAttachedFlowPassDefaultRepliesIntoFlow": True,
    "useAttachedFlowImplicitSlotParsing": True,
    "lexiconSlotsWithSubMatches": True,
    "useIntentDefaultRepliesAsExamples": True,
    "localeSettings": {
        "localeReference": "<string>",
        "inheritFallbackLocaleModel": True
    }
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

### Response Codes

- **204** - Successfully updated the FlowSettings

### Error Responses

- **400** Bad Request: {"type": "Bad Request", "title": "Bad Request Error", "status": 400, "detail": "Validation failed. Missing payload.", ...}
- **401** Unauthorized: {"type": "Unauthorized", "title": "Unauthorized Error", "status": 401, ...}
- **404** Not Found: {"type": "Not Found", "title": "Not Found Error", "status": 404, ...}
- **500** Internal Server Error: {"type": "Internal Server Error", "title": "Internal Server Error", "status": 500, ...}

### Authorization

- **X-API-Key**

### Headers

- Accept: `application/json` (default)
- Content-Type: `application/json`

### Path Parameters

- `flowId`: string (required) - The unique identifier for the Flow.
